/*	Project sci
	Serial com. interface PIC16F628A
*/

#include <pic.h>

__CONFIG(
	  MCLRDIS
	& PWRTEN
	& BORDIS
	& UNPROTECT
	& WDTDIS
	& LVPDIS
	& HS
	);

__IDLOC(628A);

unsigned char getchr(void){
	while(RCIF == 0);
	return(RCREG);
}

void putchr(unsigned char c){
	while(TXIF == 0);
	TXREG = c;
}

void puts(const unsigned char *s){
	while(*s) putchr(*s++);
}

void main(void){

	PORTB = 0;
	TRISB = 0b00000010;

	SPBRG = 129;
	TXSTA = 0b00100100;
	RCSTA = 0b10010000;

	puts("Hit some key for test.\n");
	puts("\n");
	while(1)
		putchr(getchr());
}
