/*	Project suc
	Step-up Converter PIC12F675
*/

#include <pic.h>

__CONFIG(
	  INTIO
	& UNPROTECT
	& BORDIS
	& MCLRDIS
	& WDTDIS
	& PWRTEN
	);

__IDLOC(F675);

#define V_REF 13
#define SW GPIO4

void main(void){
	unsigned char i, d;

	OPTION = 0b10000000;
	GPIO = 0;
	TRISIO = 0b00000010;
	VRCON = (0b10100000 | V_REF);
	CMCON = 0b00000100;

	d = 128;
	while(1){
		SW = 1;
		if(COUT){
			if(d > 0) d--;
		} else {
			if(d < 255) d++;
		}
		SW = 0;
		for(i = 0; i < d; i++);
	}
}
